## pd-creb 0.9.2+darcs20151027

=== Makefile ===
include Makefile.config

all: 
	make -C modules
	make -C modules++

	rm -f $(LIBNAME)
	$(CXX) $(LIBFLAGS) -o $(LIBNAME) modules/*.o modules++/*.o -lm

clean:
	make -C modules clean
	make -C modules++ clean
	rm -f $(LIBNAME)
	rm -f *~

tags:
	etags --language=auto */*.c */*.h */*.cpp

tagsclean:
	rm -f TAGS

install:
	test -d $(prefix)/lib/pd
	install -d $(prefix)/lib/pd/extra
	install -m 755 $(LIBNAME) $(prefix)/lib/pd/extra
	install -m 644 abs/*.pd $(prefix)/lib/pd/extra
	install -m 644 doc/*.pd $(prefix)/lib/pd/doc/5.reference
	install -d $(prefix)/lib/pd/doc/creb
	install -m 644 doc/examples/*.pd $(prefix)/lib/pd/doc/creb


bootstrap:
	. bootstrap

# snapshot after release
snapshot: bootstrap
	bin/dist-snapshot -d

# to make a release, increment the version number in darcs and run
# 	bin/dist-snapshot

=== modules++/Makefile ===
include ../Makefile.config
current: all

all: biquadseries~.o filterortho~.o blosc~.o


clean:
	rm -f *~
	rm -f *.o

=== modules/Makefile ===
include ../Makefile.config

current: ead~.o ear~.o eadsr~.o dist~.o \
        tabreadmix~.o xfm~.o qmult~.o qnorm~.o \
	cheby~.o abs~.o ramp~.o \
        bfft~.o dynwav~.o statwav~.o bdiag~.o \
	diag~.o matrix~.o permut~.o lattice~.o ratio.o ffpoly.o fwarp.o \
	junction~.o fdn~.o bwin~.o eblosc~.o bitsplit~.o sbosc~.o \
	blocknorm~.o resofilt~.o scrollgrid1D~.o  \
	\
	dwt.o cmath.o \
	sawtooth~.o \
	\
	dt_ms.o \
	setup.o


clean:
	rm -f *.o
	rm -f *~

## pd-creb 0.9.2%2Bdarcs20151027

=== debian/control ===
Source: pd-creb
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 pkg-config,
 puredata-dev | puredata,
Standards-Version: 4.1.3
Homepage: http://zwizwa.be/creb
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-creb.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-creb

Package: pd-creb
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: Tom's bag of trick for Pure Data (Pd)
 CREB - compl. red. ext. blk.
 .
 CREB is a collection of general purpose externals for Pd by Tom Schouten.
 It includes among other things:
  - frequency and time domain dynamic wavetable synthesis (scanned synthesis
    in the framework of linear and nonlinear state space models)
  - several virtual analog oscillators and filters
  - oscillators based on explicit complex and quaternion mathematics
  - building blocks for the discrete wavelet transform and other spectral
    transform tools, smallband oscillators and formant synthesis
  - several chaotic oscillators

## pd-creb 0.9.2+darcs20151027

=== debian/changelog ===
pd-creb (0.9.2+darcs20151027-7) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:38:16 +0100

pd-creb (0.9.2+darcs20151027-6) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Nov 2022 23:25:01 +0100

pd-creb (0.9.2+darcs20151027-5) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:15:13 +0200

pd-creb (0.9.2+darcs20151027-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch for cross-compiling.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #956944)
  * Declare that building this package does not require 'root' powers.
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Apr 2020 18:16:43 +0200

pd-creb (0.9.2+darcs20151027-3) unstable; urgency=medium

  * Enabled hardening
  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
  * Switched URLs to https://
  * Updated maintainer address
  * Updated Vcs-* stanzas to salsa.d.o
  * Removed trailing whitespace in debian/*
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:00:07 +0100

pd-creb (0.9.2+darcs20151027-2) unstable; urgency=medium

  * Nicer long package description
  * Fixed adding-creb-to-pdpath patch (Closes: #872673)
  * Patch to fix spelling errors
  * Added source/local-options
  * Updated Vcs-* stanzas
  * Regenerated d/control
    * Dropped d/control.in (and its documentation)
  * Bumped standards version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Aug 2017 13:12:25 +0200

pd-creb (0.9.2+darcs20151027-1) unstable; urgency=medium

  * Initial release (Closes: #795895)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 Oct 2015 16:04:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 13),
  dh-buildinfo,
  pkg-config,
  puredata-dev | puredata,
-Standards-Version: 4.1.3
-Homepage: http://zwizwa.be/creb
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Homepage: https://zwizwa.be/creb
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-creb.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-creb
 
 Package: pd-creb
 Architecture: any
 Depends:
+ puredata | pd,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Description: Tom's bag of trick for Pure Data (Pd)
  CREB - compl. red. ext. blk.
  .

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

pkglibdir = /usr/lib/pd/extra

CFLAGS += $(shell pkg-config --cflags pd)
LDFLAGS += $(shell pkg-config --libs pd)
LDFLAGS += -Wl,-as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		EXTRA_CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		EXTRA_LDFLAGS="$(LDFLAGS)" \
		$(empty)

override_dh_auto_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean:
	touch Makefile.config
	dh_auto_clean
	-rm -f config.log config.status
	-rm -f Makefile.config

override_dh_install:

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.LOG

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-creb 0.10.0

=== Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)

# per default, build a multi-object library
make-lib-executable=no

lib.name = creb

# special file that does not provide a class
lib.setup.sources = modules/setup.c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = $(filter-out $(lib.setup.sources),$(wildcard modules/*.c modules++/*.cc))

datafiles = \
$(wildcard doc/*-help.pd abs/*.pd) \
creb-meta.pd \
CHANGES.LOG \
COPYING \
README \
TODO

#datadirs = \
#doc/examples


# pass current version (from creb-meta.pd) to the compiler
#cflags = -DCREB_VERSION=\"$(shell $(SHELL) bin/version)\"

# default target 'all'
all:
pre: bootstrap

################################################################################
### pdlibbuilder ###############################################################
################################################################################

PDLIBBUILDER_DIR=pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder


################################################################################
### creb extra targets #########################################################
################################################################################

# install files with idiosyncratic source/destination paths

install: install-creb-extras

install-creb-extras: all
	$(INSTALL_DIR) $(installpath)/manual && \
        $(INSTALL_DATA) doc/reference.txt $(installpath)/manual
	$(INSTALL_DIR) $(installpath)/examples && \
        $(INSTALL_DATA) $(wildcard doc/examples/*.pd) $(installpath)/examples

=== debian/changelog ===
pd-creb (0.10.0-4) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Drop CDBS boilerplate from d/copyright
  * Drop "Rules-Requires-Root: no": it is the new default
  * Bump Standards-Version to 4.7.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 14:00:53 +0200

pd-creb (0.10.0-3) unstable; urgency=medium

  * Fix compilation with Pd64 (Closes: #1075368)
  * Add patch for 64bit compatible array access
  * Switch to dh-sequence-puredata
  * Add Provides stanza
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Aug 2024 12:39:09 +0200

pd-creb (0.10.0-2) unstable; urgency=medium

  * Patch to use pd_error() instead of error() (Closes: #1066590)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 16 Mar 2024 21:54:00 +0100

pd-creb (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
    + Drop obsolete patches
    + Refresh patches
  * Build for both single and double-precision Pd
  * Switch buildsystem to dh-sequence-pd-lib-builder
  * Update copyright information
    + Update d/copyright
    + Exclude unittest-WAV file from licensecheck
    + Re-generate d/copyright_hints
  * Add lintian-overrides for false positives about underlinking
  * Watch new upstream repository
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 13:59:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,8 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
- pkg-config,
- puredata-dev | puredata,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+ dh-sequence-puredata,
+Standards-Version: 4.7.2
 Homepage: https://zwizwa.be/creb
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-creb.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-creb
@@ -18,9 +15,15 @@
 Package: pd-creb
 Architecture: any
 Depends:
- puredata | pd,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Tom's bag of trick for Pure Data (Pd)
  CREB - compl. red. ext. blk.
  .

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2023 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pd_lib_builder

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.LOG

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*|unittests/fdn~\.wav
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=\
uversionmangle=s/-/./;s/test/~test/,\
dversionmangle=auto \
  https://github.com/electrickery/pd-creb/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
